Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Class InMemorySavepointManager

    java.lang.Object
      org.apache.openjpa.kernel.InMemorySavepointManager

All Implemented Interfaces:
  SavepointManager

Direct Known Subclasses:
  AuditManager

    public class InMemorySavepointManager

extends Object
implements SavepointManager

A `SavepointManager` implementation which stores all data in memory.

Since:
  0.3.4
Author:
  Steve Kim

Constructor Summary
`InMemorySavepointManager()`

Method Summary
`boolean` | `getPreFlush()` Return whether to call `Broker.preFlush()` when a savepoint is set.
`OpenJPASavepoint` | `newSavepoint(String name, Broker broker)` Return a new savepoint for the given name, which may be null.
`void` | `setPreFlush(boolean preFlush)` Set whether to call `Broker.preFlush()` when a savepoint is set.
`boolean` | `supportsIncrementalFlush()` Return whether the savepoints generated by this manager can handle incremental flushes to the datastore.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InMemorySavepointManager

    public InMemorySavepointManager()

Method Detail

### getPreFlush

    public boolean getPreFlush()

  Return whether to call `Broker.preFlush()` when a savepoint is set. While this will allow for tracking of newly embedded fields, it has the side effect of going through pre-flush operations.

### setPreFlush

    public void setPreFlush(boolean preFlush)

  Set whether to call `Broker.preFlush()` when a savepoint is set. While this will allow for tracking of newly embedded fields, it has the side effect of going through pre-flush operations.

### newSavepoint

    public OpenJPASavepoint newSavepoint(String name,
                                         Broker broker)

  Description copied from interface: `SavepointManager`
  Return a new savepoint for the given name, which may be null.

  Specified by:
    `newSavepoint` in interface `SavepointManager`

### supportsIncrementalFlush

    public boolean supportsIncrementalFlush()

  Description copied from interface: `SavepointManager`
  Return whether the savepoints generated by this manager can handle incremental flushes to the datastore.

  Specified by:
    `supportsIncrementalFlush` in interface `SavepointManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.